## gimpbaseenums

gimpbaseenums — Basic GIMP enumeration data types.

## Types and Values

enum | GimpAddMaskType
enum | GimpBlendMode
enum | GimpBrushGeneratedShape
enum | GimpBucketFillMode
enum | GimpCapStyle
enum | GimpChannelOps
enum | GimpChannelType
enum | GimpCheckSize
enum | GimpCheckType
enum | GimpCloneType
enum | GimpColorTag
enum | GimpComponentType
enum | GimpConvertPaletteType
enum | GimpConvolveType
enum | GimpDesaturateMode
enum | GimpDodgeBurnType
enum | GimpFillType
enum | GimpForegroundExtractMode
enum | GimpGradientBlendColorSpace
enum | GimpGradientSegmentColor
enum | GimpGradientSegmentType
enum | GimpGradientType
enum | GimpGridStyle
enum | GimpHueRange
enum | GimpIconType
enum | GimpImageBaseType
enum | GimpImageType
enum | GimpInkBlobType
enum | GimpInterpolationType
enum | GimpJoinStyle
enum | GimpMaskApplyMode
enum | GimpMergeType
enum | GimpMessageHandlerType
enum | GimpOffsetType
enum | GimpOrientationType
enum | GimpPDBArgType
enum | GimpPDBErrorHandler
enum | GimpPDBProcType
enum | GimpPDBStatusType
enum | GimpPaintApplicationMode
enum | GimpPrecision
enum | GimpProgressCommand
enum | GimpRepeatMode
enum | GimpRotationType
enum | GimpRunMode
enum | GimpSelectCriterion
enum | GimpSizeType
enum | GimpStackTraceMode
enum | GimpStrokeMethod
enum | GimpTextDirection
enum | GimpTextHintStyle
enum | GimpTextJustification
enum | GimpTransferMode
enum | GimpTransformDirection
enum | GimpTransformResize
enum | GimpUserDirectory
enum | GimpVectorsStrokeType

## Description

Basic GIMP enumeration data types.

## Functions

## Types and Values

### enum GimpAddMaskType

Modes of initialising a layer mask.

#### Members

GIMP_ADD_MASK_WHITE | White (full opacity) |
GIMP_ADD_MASK_BLACK | Black (full transparency) |
GIMP_ADD_MASK_ALPHA | Layer's alpha channel |
GIMP_ADD_MASK_ALPHA_TRANSFER | Transfer layer's alpha channel |
GIMP_ADD_MASK_SELECTION | Selection |
GIMP_ADD_MASK_COPY | Grayscale copy of layer |
GIMP_ADD_MASK_CHANNEL | Channel |
GIMP_ADD_WHITE_MASK | Deprecated alias for `GIMP_ADD_MASK_WHITE` |
GIMP_ADD_BLACK_MASK | Deprecated alias for `GIMP_ADD_MASK_BLACK` |
GIMP_ADD_ALPHA_MASK | Deprecated alias for `GIMP_ADD_MASK_ALPHA` |
GIMP_ADD_ALPHA_TRANSFER_MASK | Deprecated alias for `GIMP_ADD_MASK_ALPHA_TRANSFER` |
GIMP_ADD_SELECTION_MASK | Deprecated alias for `GIMP_ADD_MASK_SELECTION` |
GIMP_ADD_COPY_MASK | Deprecated alias for `GIMP_ADD_MASK_COPY` |
GIMP_ADD_CHANNEL_MASK | Deprecated aliaa for `GIMP_ADD_MASK_CHANNEL` |

### enum GimpBlendMode

Types of gradients.

#### Members

GIMP_BLEND_FG_BG_RGB | FG to BG (RGB) |
GIMP_BLEND_FG_BG_HSV | FG to BG (HSV) |
GIMP_BLEND_FG_TRANSPARENT | FG to transparent |
GIMP_BLEND_CUSTOM | Custom gradient |
GIMP_FG_BG_RGB_MODE | Deprecated alias for `GIMP_BLEND_FG_BG_RGB` |
GIMP_FG_BG_HSV_MODE | Deprecated alias for `GIMP_BLEND_FG_BG_HSV` |
GIMP_FG_TRANSPARENT_MODE | Deprecated alias for `GIMP_BLEND_FG_TRANSPARENT` |
GIMP_CUSTOM_MODE | Deprecated alias for `GIMP_BLEND_CUSTOM` |

### enum GimpBrushGeneratedShape

Shapes of generated brushes.

#### Members

GIMP_BRUSH_GENERATED_CIRCLE | Circle |
GIMP_BRUSH_GENERATED_SQUARE | Square |
GIMP_BRUSH_GENERATED_DIAMOND | Diamond |

### enum GimpBucketFillMode

Bucket fill modes.

#### Members

GIMP_BUCKET_FILL_FG | FG color fill |
GIMP_BUCKET_FILL_BG | BG color fill |
GIMP_BUCKET_FILL_PATTERN | Pattern fill |
GIMP_FG_BUCKET_FILL | Deprecated alias for `GIMP_BUCKET_FILL_FG` |
GIMP_BG_BUCKET_FILL | Deprecated alias for `GIMP_BUCKET_FILL_BG` |
GIMP_PATTERN_BUCKET_FILL | Deprecated alias for `GIMP_BUCKET_FILL_PATTERN` |

### enum GimpCapStyle

Style of line endings.

#### Members

GIMP_CAP_BUTT | Butt |
GIMP_CAP_ROUND | Round |
GIMP_CAP_SQUARE | Square |

### enum GimpChannelOps

Operations to combine channels and selections.

#### Members

GIMP_CHANNEL_OP_ADD | Add to the current selection |
GIMP_CHANNEL_OP_SUBTRACT | Subtract from the current selection |
GIMP_CHANNEL_OP_REPLACE | Replace the current selection |
GIMP_CHANNEL_OP_INTERSECT | Intersect with the current selection |

### enum GimpChannelType

Channels (as in color components).

#### Members

GIMP_CHANNEL_RED | Red |
GIMP_CHANNEL_GREEN | Green |
GIMP_CHANNEL_BLUE | Blue |
GIMP_CHANNEL_GRAY | Gray |
GIMP_CHANNEL_INDEXED | Indexed |
GIMP_CHANNEL_ALPHA | Alpha |
GIMP_RED_CHANNEL | Deprecated alias for `GIMP_CHANNEL_RED` |
GIMP_GREEN_CHANNEL | Deprecated alias for `GIMP_CHANNEL_GREEN` |
GIMP_BLUE_CHANNEL | Deprecated alias for `GIMP_CHANNEL_BLUE` |
GIMP_GRAY_CHANNEL | Deprecated alias for `GIMP_CHANNEL_GRAY` |
GIMP_INDEXED_CHANNEL | Deprecated alias for `GIMP_CHANNEL_INDEXED` |
GIMP_ALPHA_CHANNEL | Deprecated alias for `GIMP_CHANNEL_ALPHA` |

### enum GimpCheckSize

Size of the checkerboard indicating transparency.

#### Members

GIMP_CHECK_SIZE_SMALL_CHECKS | Small |
GIMP_CHECK_SIZE_MEDIUM_CHECKS | Medium |
GIMP_CHECK_SIZE_LARGE_CHECKS | Large |

### enum GimpCheckType

Color/Brightness of the checkerboard indicating transparency.

#### Members

GIMP_CHECK_TYPE_LIGHT_CHECKS | Light checks |
GIMP_CHECK_TYPE_GRAY_CHECKS | Mid-tone checks |
GIMP_CHECK_TYPE_DARK_CHECKS | Dark checks |
GIMP_CHECK_TYPE_WHITE_ONLY | White only |
GIMP_CHECK_TYPE_GRAY_ONLY | Gray only |
GIMP_CHECK_TYPE_BLACK_ONLY | Black only |

### enum GimpCloneType

Clone sources.

#### Members

GIMP_CLONE_IMAGE | Clone from an image/drawable source |
GIMP_CLONE_PATTERN | Clone from a pattern source |
GIMP_IMAGE_CLONE | Deprecated alias for `GIMP_CLONE_IMAGE` |
GIMP_PATTERN_CLONE | Deprecated alias for `GIMP_CLONE_PATTERN` |

### enum GimpColorTag

Possible tag colors.

#### Members

GIMP_COLOR_TAG_NONE | None |
GIMP_COLOR_TAG_BLUE | Blue |
GIMP_COLOR_TAG_GREEN | Green |
GIMP_COLOR_TAG_YELLOW | Yellow |
GIMP_COLOR_TAG_ORANGE | Orange |
GIMP_COLOR_TAG_BROWN | Brown |
GIMP_COLOR_TAG_RED | Red |
GIMP_COLOR_TAG_VIOLET | Violet |
GIMP_COLOR_TAG_GRAY | Gray |

Since: 2.10

### enum GimpComponentType

Encoding types of image components.

#### Members

GIMP_COMPONENT_TYPE_U8 | 8-bit integer |
GIMP_COMPONENT_TYPE_U16 | 16-bit integer |
GIMP_COMPONENT_TYPE_U32 | 32-bit integer |
GIMP_COMPONENT_TYPE_HALF | 16-bit floating point |
GIMP_COMPONENT_TYPE_FLOAT | 32-bit floating point |
GIMP_COMPONENT_TYPE_DOUBLE | 64-bit floating point |

Since: 2.10

### enum GimpConvertPaletteType

Types of palettes for indexed conversion.

#### Members

GIMP_CONVERT_PALETTE_GENERATE | Generate optimum palette |
GIMP_CONVERT_PALETTE_REUSE | Don't use this one |
GIMP_CONVERT_PALETTE_WEB | Use web-optimized palette |
GIMP_CONVERT_PALETTE_MONO | Use black and white (1-bit) palette |
GIMP_CONVERT_PALETTE_CUSTOM | Use custom palette |
GIMP_MAKE_PALETTE | Deprecated alias for `GIMP_CONVERT_PALETTE_GENERATE` |
GIMP_REUSE_PALETTE | Deprecated alias for `GIMP_CONVERT_PALETTE_REUSE` |
GIMP_WEB_PALETTE | Deprecated alias for `GIMP_CONVERT_PALETTE_WEB` |
GIMP_MONO_PALETTE | Deprecated alias for `GIMP_CONVERT_PALETTE_MONO` |
GIMP_CUSTOM_PALETTE | Deprecated alias for `GIMP_CONVERT_PALETTE_CUSTOM` |

### enum GimpConvolveType

Types of convolutions.

#### Members

GIMP_CONVOLVE_BLUR | Blur |
GIMP_CONVOLVE_SHARPEN | Sharpen |
GIMP_BLUR_CONVOLVE | Deprecated alias for `GIMP_CONVOLVE_BLUR` |
GIMP_SHARPEN_CONVOLVE | Deprecated alias for `GIMP_CONVOLVE_SHARPEN` |

### enum GimpDesaturateMode

Grayscale conversion methods.

#### Members

GIMP_DESATURATE_LIGHTNESS | Lightness (HSL) |
GIMP_DESATURATE_LUMA | Luma |
GIMP_DESATURATE_AVERAGE | Average (HSI Intensity) |
GIMP_DESATURATE_LUMINANCE | Luminance |
GIMP_DESATURATE_VALUE | Value (HSV) |
GIMP_DESATURATE_LUMINOSITY | Deprecated alias for `GIMP_DESATURATE_LUMA` |

### enum GimpDodgeBurnType

Methods for the dodge/burn operation.

#### Members

GIMP_DODGE_BURN_TYPE_DODGE | Dodge |
GIMP_DODGE_BURN_TYPE_BURN | Burn |
GIMP_DODGE | Deprecated alias for `GIMP_DODGE_BURN_TYPE_DODGE` |
GIMP_BURN | Deprecated alias for `GIMP_DODGE_BURN_TYPE_BURN` |

### enum GimpFillType

Types of filling.

#### Members

GIMP_FILL_FOREGROUND | Foreground color |
GIMP_FILL_BACKGROUND | Background color |
GIMP_FILL_WHITE | White |
GIMP_FILL_TRANSPARENT | Transparency |
GIMP_FILL_PATTERN | Pattern |
GIMP_FOREGROUND_FILL | Deprecated alias for `GIMP_FILL_FOREGROUND` |
GIMP_BACKGROUND_FILL | Deprecated alias for `GIMP_FILL_BACKGROUND` |
GIMP_WHITE_FILL | Deprecated alias for `GIMP_FILL_WHITE` |
GIMP_TRANSPARENT_FILL | Deprecated alias for `GIMP_FILL_TRANSPARENT` |
GIMP_PATTERN_FILL | Deprecated alias for `GIMP_FILL_PATTERN` |

### enum GimpForegroundExtractMode

Foreground extraxt engines.

#### Members

GIMP_FOREGROUND_EXTRACT_SIOX | Siox |
GIMP_FOREGROUND_EXTRACT_MATTING | Matting (Since 2.10) |

### enum GimpGradientBlendColorSpace

Color space for blending gradients.

#### Members

GIMP_GRADIENT_BLEND_RGB_PERCEPTUAL | Perceptual RGB |
GIMP_GRADIENT_BLEND_RGB_LINEAR | Linear RGB |
GIMP_GRADIENT_BLEND_CIE_LAB | CIE Lab |

Since: 2.10

### enum GimpGradientSegmentColor

Coloring types for gradient segments.

#### Members

GIMP_GRADIENT_SEGMENT_RGB | RGB |
GIMP_GRADIENT_SEGMENT_HSV_CCW | HSV (counter-clockwise hue) |
GIMP_GRADIENT_SEGMENT_HSV_CW | HSV (clockwise hue) |

### enum GimpGradientSegmentType

Transition functions for gradient segments.

#### Members

GIMP_GRADIENT_SEGMENT_LINEAR | Linear |
GIMP_GRADIENT_SEGMENT_CURVED | Curved |
GIMP_GRADIENT_SEGMENT_SINE | Sinusoidal |
GIMP_GRADIENT_SEGMENT_SPHERE_INCREASING | Spherical (increasing) |
GIMP_GRADIENT_SEGMENT_SPHERE_DECREASING | Spherical (decreasing) |
GIMP_GRADIENT_SEGMENT_STEP | Step |

### enum GimpGradientType

Gradient shapes.

#### Members

GIMP_GRADIENT_LINEAR | Linear |
GIMP_GRADIENT_BILINEAR | Bi-linear |
GIMP_GRADIENT_RADIAL | Radial |
GIMP_GRADIENT_SQUARE | Square |
GIMP_GRADIENT_CONICAL_SYMMETRIC | Conical (symmetric) |
GIMP_GRADIENT_CONICAL_ASYMMETRIC | Conical (asymmetric) |
GIMP_GRADIENT_SHAPEBURST_ANGULAR | Shaped (angular) |
GIMP_GRADIENT_SHAPEBURST_SPHERICAL | Shaped (spherical) |
GIMP_GRADIENT_SHAPEBURST_DIMPLED | Shaped (dimpled) |
GIMP_GRADIENT_SPIRAL_CLOCKWISE | Spiral (clockwise) |
GIMP_GRADIENT_SPIRAL_ANTICLOCKWISE | Spiral (counter-clockwise) |

### enum GimpGridStyle

Rendering types for the display grid.

#### Members

GIMP_GRID_DOTS | Intersections (dots) |
GIMP_GRID_INTERSECTIONS | Intersections (crosshairs) |
GIMP_GRID_ON_OFF_DASH | Dashed |
GIMP_GRID_DOUBLE_DASH | Double dashed |
GIMP_GRID_SOLID | Solid |

### enum GimpHueRange

Hue ranges.

#### Members

GIMP_HUE_RANGE_ALL | All hues |
GIMP_HUE_RANGE_RED | Red hues |
GIMP_HUE_RANGE_YELLOW | Yellow hues |
GIMP_HUE_RANGE_GREEN | Green hues |
GIMP_HUE_RANGE_CYAN | Cyan hues |
GIMP_HUE_RANGE_BLUE | Blue hues |
GIMP_HUE_RANGE_MAGENTA | Magenta hues |
GIMP_ALL_HUES | Deprecated alias for `GIMP_HUE_RANGE_ALL` |
GIMP_RED_HUES | Deprecated alias for `GIMP_HUE_RANGE_RED` |
GIMP_YELLOW_HUES | Deprecated alias for `GIMP_HUE_RANGE_YELLOW` |
GIMP_GREEN_HUES | Deprecated alias for `GIMP_HUE_RANGE_GREEN` |
GIMP_CYAN_HUES | Deprecated alias for `GIMP_HUE_RANGE_CYAN` |
GIMP_BLUE_HUES | Deprecated alias for `GIMP_HUE_RANGE_BLUE` |
GIMP_MAGENTA_HUES | Deprecated alias for `GIMP_HUE_RANGE_MAGENTA` |

### enum GimpIconType

Icon types for plug-ins to register.

#### Members

GIMP_ICON_TYPE_ICON_NAME | Icon name |
GIMP_ICON_TYPE_INLINE_PIXBUF | Inline pixbuf |
GIMP_ICON_TYPE_IMAGE_FILE | Image file |
GIMP_ICON_TYPE_STOCK_ID | Deprecated alias for `GIMP_ICON_TYPE_ICON_NAME` , old stock IDs are interpreted as icon names |

### enum GimpImageBaseType

Image color models.

#### Members

GIMP_RGB | RGB color |
GIMP_GRAY | Grayscale |
GIMP_INDEXED | Indexed color |

### enum GimpImageType

Possible drawable types.

#### Members

GIMP_RGB_IMAGE | RGB |
GIMP_RGBA_IMAGE | RGB-alpha |
GIMP_GRAY_IMAGE | Grayscale |
GIMP_GRAYA_IMAGE | Grayscale-alpha |
GIMP_INDEXED_IMAGE | Indexed |
GIMP_INDEXEDA_IMAGE | Indexed-alpha |

### enum GimpInkBlobType

Ink tool tips.

#### Members

GIMP_INK_BLOB_TYPE_CIRCLE | Circle |
GIMP_INK_BLOB_TYPE_SQUARE | Square |
GIMP_INK_BLOB_TYPE_DIAMOND | Diamond |

### enum GimpInterpolationType

Interpolation types.

#### Members

GIMP_INTERPOLATION_NONE | None |
GIMP_INTERPOLATION_LINEAR | Linear |
GIMP_INTERPOLATION_CUBIC | Cubic |
GIMP_INTERPOLATION_NOHALO | NoHalo |
GIMP_INTERPOLATION_LOHALO | LoHalo |
GIMP_INTERPOLATION_LANCZOS | Deprecated alias for `GIMP_INTERPOLATION_NOHALO` |

### enum GimpJoinStyle

Line join styles.

#### Members

GIMP_JOIN_MITER | Miter |
GIMP_JOIN_ROUND | Round |
GIMP_JOIN_BEVEL | Bevel |

### enum GimpMaskApplyMode

Layer mask apply modes.

#### Members

GIMP_MASK_APPLY | Apply the mask |
GIMP_MASK_DISCARD | Discard the mask |

### enum GimpMergeType

Types of merging layers.

#### Members

GIMP_EXPAND_AS_NECESSARY | Expanded as necessary |
GIMP_CLIP_TO_IMAGE | Clipped to image |
GIMP_CLIP_TO_BOTTOM_LAYER | Clipped to bottom layer |
GIMP_FLATTEN_IMAGE | Flatten |

### enum GimpMessageHandlerType

How to present messages.

#### Members

GIMP_MESSAGE_BOX | A popup dialog |
GIMP_CONSOLE | The terminal |
GIMP_ERROR_CONSOLE | The error console dockable |

### enum GimpOffsetType

Background fill types for the offset operation.

#### Members

GIMP_OFFSET_BACKGROUND | Background |
GIMP_OFFSET_TRANSPARENT | Transparent |
GIMP_OFFSET_WRAP_AROUND | Wrap image around |

### enum GimpOrientationType

Orientations for various purposes.

#### Members

GIMP_ORIENTATION_HORIZONTAL | Horizontal |
GIMP_ORIENTATION_VERTICAL | Vertical |
GIMP_ORIENTATION_UNKNOWN | Unknown |

### enum GimpPDBArgType

Parameter types of the PDB.

#### Members

GIMP_PDB_INT32 | 32-bit integer |
GIMP_PDB_INT16 | 16-bit integer |
GIMP_PDB_INT8 | 8-bit integer |
GIMP_PDB_FLOAT | Float |
GIMP_PDB_STRING | String |
GIMP_PDB_INT32ARRAY | Array of INT32 |
GIMP_PDB_INT16ARRAY | Array of INT16 |
GIMP_PDB_INT8ARRAY | Array of INT8 |
GIMP_PDB_FLOATARRAY | Array of floats |
GIMP_PDB_STRINGARRAY | Array of strings |
GIMP_PDB_COLOR | Color |
GIMP_PDB_ITEM | Item ID |
GIMP_PDB_DISPLAY | Display ID |
GIMP_PDB_IMAGE | Image ID |
GIMP_PDB_LAYER | Layer ID |
GIMP_PDB_CHANNEL | Channel ID |
GIMP_PDB_DRAWABLE | Drawable ID |
GIMP_PDB_SELECTION | Selection ID |
GIMP_PDB_COLORARRAY | Array of colors |
GIMP_PDB_VECTORS | Vectors (psath) ID |
GIMP_PDB_PARASITE | Parasite |
GIMP_PDB_STATUS | Procedure return status |
GIMP_PDB_END | Marker for last enum value |
GIMP_PDB_PATH | Deprecated alias for `GIMP_PDB_VECTORS` |
GIMP_PDB_BOUNDARY | Deprecated alias for `GIMP_PDB_COLORARRAY` |
GIMP_PDB_REGION | Deprecated alias for `GIMP_PDB_ITEM` |

### enum GimpPDBErrorHandler

PDB error handlers.

#### Members

GIMP_PDB_ERROR_HANDLER_INTERNAL | Internal |
GIMP_PDB_ERROR_HANDLER_PLUGIN | Plug-In |

### enum GimpPDBProcType

Types of PDB procedures.

#### Members

GIMP_INTERNAL | Internal GIMP procedure |
GIMP_PLUGIN | GIMP Plug-In |
GIMP_EXTENSION | GIMP Extension |
GIMP_TEMPORARY | Temporary Procedure |

### enum GimpPDBStatusType

Return status of PDB calls.

#### Members

GIMP_PDB_EXECUTION_ERROR | Execution error |
GIMP_PDB_CALLING_ERROR | Calling error |
GIMP_PDB_PASS_THROUGH | Pass through |
GIMP_PDB_SUCCESS | Success |
GIMP_PDB_CANCEL | User cancel |

### enum GimpPaintApplicationMode

Paint application modes.

#### Members

GIMP_PAINT_CONSTANT | Constant |
GIMP_PAINT_INCREMENTAL | Incremental |

### enum GimpPrecision

Precisions for pixel encoding.

#### Members

GIMP_PRECISION_U8_LINEAR | 8-bit linear integer |
GIMP_PRECISION_U8_GAMMA | 8-bit gamma integer |
GIMP_PRECISION_U16_LINEAR | 16-bit linear integer |
GIMP_PRECISION_U16_GAMMA | 16-bit gamma integer |
GIMP_PRECISION_U32_LINEAR | 32-bit linear integer |
GIMP_PRECISION_U32_GAMMA | 32-bit gamma integer |
GIMP_PRECISION_HALF_LINEAR | 16-bit linear floating point |
GIMP_PRECISION_HALF_GAMMA | 16-bit gamma floating point |
GIMP_PRECISION_FLOAT_LINEAR | 32-bit linear floating point |
GIMP_PRECISION_FLOAT_GAMMA | 32-bit gamma floating point |
GIMP_PRECISION_DOUBLE_LINEAR | 64-bit linear floating point |
GIMP_PRECISION_DOUBLE_GAMMA | 64-bit gamma floating point |

Since: 2.10

### enum GimpProgressCommand

Commands for the progress API.

#### Members

GIMP_PROGRESS_COMMAND_START | Start a progress |
GIMP_PROGRESS_COMMAND_END | End the progress |
GIMP_PROGRESS_COMMAND_SET_TEXT | Set the text |
GIMP_PROGRESS_COMMAND_SET_VALUE | Set the percentage |
GIMP_PROGRESS_COMMAND_PULSE | Pulse the progress |
GIMP_PROGRESS_COMMAND_GET_WINDOW | Get the window where the progress is shown |

### enum GimpRepeatMode

Repeat modes for example for gradients.

#### Members

GIMP_REPEAT_NONE | None (extend) |
GIMP_REPEAT_SAWTOOTH | Sawtooth wave |
GIMP_REPEAT_TRIANGULAR | Triangular wave |
GIMP_REPEAT_TRUNCATE | Truncate |

### enum GimpRotationType

Types of simple rotations.

#### Members

GIMP_ROTATE_90 | 90 degrees |
GIMP_ROTATE_180 | 180 degrees |
GIMP_ROTATE_270 | 270 degrees |

### enum GimpRunMode

Run modes for plug-ins.

#### Members

GIMP_RUN_INTERACTIVE | Run interactively |
GIMP_RUN_NONINTERACTIVE | Run non-interactively |
GIMP_RUN_WITH_LAST_VALS | Run with last used values |

### enum GimpSelectCriterion

Criterions for color similarity.

#### Members

GIMP_SELECT_CRITERION_COMPOSITE | Composite |
GIMP_SELECT_CRITERION_R | Red |
GIMP_SELECT_CRITERION_G | Green |
GIMP_SELECT_CRITERION_B | Blue |
GIMP_SELECT_CRITERION_H | HSV Hue |
GIMP_SELECT_CRITERION_S | HSV Saturation |
GIMP_SELECT_CRITERION_V | HSV Value |
GIMP_SELECT_CRITERION_A | Alpha |
GIMP_SELECT_CRITERION_LCH_L | LCh Lightness |
GIMP_SELECT_CRITERION_LCH_C | LCh Chroma |
GIMP_SELECT_CRITERION_LCH_H | LCh Hue |

### enum GimpSizeType

Size types for the old-style text API.

#### Members

GIMP_PIXELS | Pixels |
GIMP_POINTS | Points |

### enum GimpStackTraceMode

When to generate stack traces in case of an error.

#### Members

GIMP_STACK_TRACE_NEVER | Never |
GIMP_STACK_TRACE_QUERY | Ask each time |
GIMP_STACK_TRACE_ALWAYS | Always |

### enum GimpStrokeMethod

Methods of stroking selections and paths.

#### Members

GIMP_STROKE_LINE | Stroke line |
GIMP_STROKE_PAINT_METHOD | Stroke with a paint tool |

### enum GimpTextDirection

Text directions.

#### Members

GIMP_TEXT_DIRECTION_LTR | From left to right |
GIMP_TEXT_DIRECTION_RTL | From right to left |
GIMP_TEXT_DIRECTION_TTB_RTL | Characters are from top to bottom, Lines are from right to left |
GIMP_TEXT_DIRECTION_TTB_RTL_UPRIGHT | Upright characters are from top to bottom, Lines are from right to left |
GIMP_TEXT_DIRECTION_TTB_LTR | Characters are from top to bottom, Lines are from left to right |
GIMP_TEXT_DIRECTION_TTB_LTR_UPRIGHT | Upright characters are from top to bottom, Lines are from left to right |

### enum GimpTextHintStyle

Text hint strengths.

#### Members

GIMP_TEXT_HINT_STYLE_NONE | None |
GIMP_TEXT_HINT_STYLE_SLIGHT | Slight |
GIMP_TEXT_HINT_STYLE_MEDIUM | Medium |
GIMP_TEXT_HINT_STYLE_FULL | Full |

### enum GimpTextJustification

Text justifications.

#### Members

GIMP_TEXT_JUSTIFY_LEFT | Left justified |
GIMP_TEXT_JUSTIFY_RIGHT | Right justified |
GIMP_TEXT_JUSTIFY_CENTER | Centered |
GIMP_TEXT_JUSTIFY_FILL | Filled |

### enum GimpTransferMode

For choosing which brightness ranges to transform.

#### Members

GIMP_TRANSFER_SHADOWS | Shadows |
GIMP_TRANSFER_MIDTONES | Midtones |
GIMP_TRANSFER_HIGHLIGHTS | Highlights |
GIMP_SHADOWS | Deprecated alias for `GIMP_TRANSFER_SHADOWS` |
GIMP_MIDTONES | Deprecated alias for `GIMP_TRANSFER_MIDTONES` |
GIMP_HIGHLIGHTS | Deprecated alias for `GIMP_TRANSFER_HIGHLIGHTS` |

### enum GimpTransformDirection

Transform directions.

#### Members

GIMP_TRANSFORM_FORWARD | Normal (Forward) |
GIMP_TRANSFORM_BACKWARD | Corrective (Backward) |

### enum GimpTransformResize

Ways of clipping the result when transforming drawables.

#### Members

GIMP_TRANSFORM_RESIZE_ADJUST | Adjust |
GIMP_TRANSFORM_RESIZE_CLIP | Clip |
GIMP_TRANSFORM_RESIZE_CROP | Crop to result |
GIMP_TRANSFORM_RESIZE_CROP_WITH_ASPECT | Crop with aspect |

### enum GimpUserDirectory

`GimpUserDirectory` is deprecated and should not be used in newly-written code.

Deprecated enum, don't use.

#### Members

GIMP_USER_DIRECTORY_DESKTOP | Deprecated |
GIMP_USER_DIRECTORY_DOCUMENTS | Deprecated |
GIMP_USER_DIRECTORY_DOWNLOAD | Deprecated |
GIMP_USER_DIRECTORY_MUSIC | Deprecated |
GIMP_USER_DIRECTORY_PICTURES | Deprecated |
GIMP_USER_DIRECTORY_PUBLIC_SHARE | Deprecated |
GIMP_USER_DIRECTORY_TEMPLATES | Deprecated |
GIMP_USER_DIRECTORY_VIDEOS | Deprecated |

### enum GimpVectorsStrokeType

Possible type of strokes in vectors objects.

#### Members

GIMP_VECTORS_STROKE_TYPE_BEZIER | A bezier stroke |